as.environment {base} | R Documentation

## Coerce to an Environment Object

### Description

A generic function coercing an R object to an `environment`. A number or a character string is converted to the corresponding environment on the search path.

### Usage

    as.environment(x)

### Arguments

`x` | an R object to convert. If it is already an environment, just return it. If it is a number, return the environment corresponding to that position on the search list. If it is a character string, match the string to the names on the search list. If it is a list, the equivalent of `list2env(x, parent=emptyenv())` is returned. If `is.object(x)` is true and it has a `class` for which an `as.environment` method is found, that is used.

### Value

The corresponding environment object.

### Note

This is a primitive function.

### Author(s)

John Chambers

### See Also

`environment` for creation and manipulation, `search`; `list2env`.

### Examples

    as.environment(1) ## the global environment
    identical(globalenv(), as.environment(1)) ## is TRUE
    try( ## <<- stats need not be attached
        as.environment("package:stats"))
    ee <- as.environment(list(a = "A", b = pi, ch = letters[1:8]))
    ls(ee) # names of objects in ee
    utils::ls.str(ee)

[Package base version 2.15.2 Index]